Package twisted :: Package protocols :: Module xmlstream :: Class XmlStreamFactory |
[frames | no frames]

## Class XmlStreamFactory

              Factory --+
                        |
            ClientFactory --+
                            |
    ReconnectingClientFactory --+
                                |
                               XmlStreamFactory

Method Summary
| `__init__(self, authenticator)`
| `addBootstrap(self, event, fn)`
| `buildProtocol(self, _)`
| `removeBootstrap(self, event, fn)`
Inherited from ReconnectingClientFactory
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, unused_reason)`
| ``resetDelay`(self)` Call me after a successful connection to reset.
| ``retry`(self, connector)` Have this connector connect again, after a suitable delay.
| ``stopTrying`(self)` I put a stop to any attempt to reconnect in progress.
Inherited from ClientFactory
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Instance Variable Summary
Inherited from ReconnectingClientFactory
`float` | `factor`: a multiplicitive factor by which the delay grows
`float` | `initialDelay`: Delay for the first reconnection attempt.
`float` | `jitter`: percentage of randomness to introduce into the delay length to prevent stampeding.
`int` | `maxDelay`: Maximum number of seconds between connection attempts.

Class Variable Summary
Inherited from ReconnectingClientFactory
`NoneType` | `_callID` = None
`NoneType` | `connector` = None
`int` | `continueTrying` = 1
`float` | `delay` = 1.0
`NoneType` | `maxRetries` = None
`int` | `retries` = 0
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net